<%@ Page Language="C#" %>
<%@ Register TagPrefix="telerik" Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Test</title>
	<style type="text/css">
		.cmdItem
		{
			padding: 0 0 0 15px;
		}
		
		.cmdCheckBox
		{
			position: absolute;
			margin: -22px 0 0 0;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager runat="server" ID="RadScriptManager1" />		
				
		<%--The ViewState is disabled, so we can recreate the items and set their corresponding templates on each load--%>
		<telerik:RadPanelBar runat="server" ID="RadPanelBar1" EnableViewState="false">
			<%--Root item template--%>
			<ItemTemplate>
				<asp:CheckBox runat="server" ID="itemCheckBox" CssClass="cmdCheckBox" />
				<%# Eval("Text") %>
			</ItemTemplate>
		</telerik:RadPanelBar>
		
		<asp:Button runat="server" ID="Button1" Text="Submit" OnClick="Button1_Click" />
		
		<asp:Label runat="server" ID="Result" ></asp:Label>
		
		<script runat="server">
			protected override void OnInit(EventArgs e)
			{
				base.OnInit(e);

				RadPanelBar1.Items.Clear();
				for (int i = 0; i < 2; i++)
				{
					RadPanelItem commandItem = new RadPanelItem();
					commandItem.Text = "Command item";
					commandItem.CssClass = "cmdItem";

					RadPanelItem detailsItem = new RadPanelItem();
					detailsItem.ItemTemplate = new DetailTemplate();
					detailsItem.Text = "Details";
					commandItem.Items.Add(detailsItem);

					RadPanelBar1.Items.Add(commandItem);
				}
			}
				
			protected void Button1_Click(object sender, EventArgs e)
			{
				Result.Text = "Checked items: ";
				
				foreach (RadPanelItem item in RadPanelBar1.Items)
				{
					// Level 1 items
					CheckBox chkBox = item.FindControl("itemCheckBox") as CheckBox;
					if (chkBox != null && chkBox.Checked)
					{
						Result.Text += item.Index + "; ";
					}
				}
			}
			
			class DetailTemplate : ITemplate
			{
				public void InstantiateIn(Control container)
				{
					Label textLabel = new Label();
					container.Controls.Add(textLabel);

					textLabel.DataBinding += delegate(object sender, EventArgs e)
					{
						textLabel.Text = (string) DataBinder.Eval(sender, "Text");
					};
				}
			}	
		</script>
	</form>
</body>
</html>
